CREATE TABLE  General_UserPrefs (
	CUP_LoginName varchar(20) NOT NULL,
	CUP_ParamName varchar(50) NOT NULL,
	CUP_ParamValue varchar(1024) NOT NULL,
        CONSTRAINT PK_General_UserPrefs PRIMARY KEY CLUSTERED (CUP_LoginName, CUP_ParamName)
);

ALTER TABLE [dbo].[General_UserPrefs] ADD
	CONSTRAINT [FK_General_UserPrefs_General_UserInfo] FOREIGN KEY
	(
		[CUP_LoginName]
	) REFERENCES [dbo].[General_UserInfo] (
		[CUC_LoginName]
	) ON UPDATE CASCADE ON DELETE CASCADE

